﻿@using System.Web.UI.WebControls;

<table width="100%" border="0">
    <tr>
        <td style="width: 80px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Date from";
                    label.EncodeHtml = false;
                }).GetHtml()
        </td>
        <td style="width: 150px;">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "deFrom";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                }).GetHtml()
        </td>     
        <td style="width: 30px;">
        @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "To";
                    label.EncodeHtml = false;
                    label.Style.Add("display", "inline-table");
                }).GetHtml()
        </td>
        <td style = "width:110px">

            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "deTo";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(110);
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    //edtSettings.Date = DateTime.Now;
                }).GetHtml()
        </td>
        <td rowspan="5" align="left" valign="top">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                            edtSettings =>
                            {
                                edtSettings.Text = "Search";
                                edtSettings.Name = "cmdSearch";
                                edtSettings.Width = 80;
                                edtSettings.ClientSideEvents.Click = "Search_Click";
                            }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>       
           @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route";
                }).GetHtml()
        </td>
        <td width="140px">
             @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtRoute";
                        settings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                        
                    }
                ).GetHtml()
        </td>
        <td >
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Rate";
                }).GetHtml()
        </td>
        <td width="100px">
             @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtRate";
                        settings.Width = System.Web.UI.WebControls.Unit.Pixel(110);
                        
                    }
                ).GetHtml()
        </td>         
    </tr>
    <tr>
        <td>       
           @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Publish";
                }).GetHtml()
        </td>
        <td width="140px" colspan="3">
             @Html.DevExpress().ComboBox(             
                settings =>
                {
                    settings.Name = "cmbPublish";
                    settings.Width = Unit.Pixel(150);
                    settings.Properties.Items.Add("", 0);
                    settings.Properties.Items.Add("Un-Published", 0);
                    settings.Properties.Items.Add("Published", 1);
                }
            ).GetHtml()
        </td>      
    </tr>
    <tr>
        <td style="padding-top:23px;" valign="top">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Upload";
                }).GetHtml()
        </td>
        <td style="padding-top:13px;" colspan="3">
            @using (Html.BeginForm("PartialLPOPConfirmation", "DeliveryNonTLMS", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                <table>
                    <tr>
                        <td>
                            <div class="uploadContainer">
                                @Html.DevExpress().UploadControl(
                                setting =>
                                {
                                    setting.AddButton.Text = "Browse";
                                    setting.Name = "UplDeliveryNonTLMSOrder";
                                    setting.CallbackRouteValues = new { Controller = "DeliveryNonTLMS", Action = "UplDeliveryNonTLMSOrder_CallbackRouteValues" };
                                    setting.ClientSideEvents.FileUploadComplete = "OnUplDeliveryNonTLMSOrderFileUploadComplete";

                                    setting.Width = Unit.Pixel(255);

                                    setting.ValidationSettings.MaxFileSize = 10000000;
                                    setting.ValidationSettings.MaxFileSizeErrorText = "Size File Uploaded Too Large";
                                    setting.ValidationSettings.AllowedFileExtensions = new String[] { ".xls", ".xlsx" };
                                    setting.ValidationSettings.ShowErrors = true;

                                    setting.CancelButton.Text = "";
                                    setting.CancelButtonSpacing = Unit.Pixel(0);
                                }).GetHtml()
                            </div>
                        </td>
                        <td style="width: 1px;">&nbsp;</td>
                        <td valign="top">
                            @Html.DevExpress().Button(
                                edtSettings =>
                                {
                                    edtSettings.Text = "Upload";
                                    edtSettings.Name = "cmdUpload";
                                    edtSettings.Width = 80;
                                    edtSettings.ClientSideEvents.Click = "function(s,e){ UplDeliveryNonTLMSOrder.Upload(); }";
                                }).GetHtml()
                        </td>
                    </tr>
                </table>
            }
        </td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td colspan="3">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Download Template";
                }).GetHtml()
            @Html.DevExpress().HyperLink(
                link =>
                {
                    link.Name = "HlDownloadTemplateLink";
                    link.Properties.Text = "Here";
                    link.Properties.Style.Font.Underline = true;
                    link.Properties.ClientSideEvents.Click = "HlDownloadTemplateLink_Click";
                    link.ControlStyle.Cursor = "pointer";
                    link.ControlStyle.VerticalAlign = VerticalAlign.Top;
                }).GetHtml()
        </td>
    </tr> 
</table>




